### Enumeration

# AppStream InternetKind

since: 0.15.5

#### Declaration

    enum AppStream.InternetKind

#### Description [src]

Different internet connectivity requirements or recommendations for an application.

Available since: 0.15.5

#### Members

`AS_INTERNET_KIND_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 0.15.5
`AS_INTERNET_KIND_ALWAYS`

  Always requires/recommends internet.

  - Value: `1`
  - Available since: 0.15.5
`AS_INTERNET_KIND_OFFLINE_ONLY`

  Application is offline-only.

  - Value: `2`
  - Available since: 0.15.5
`AS_INTERNET_KIND_FIRST_RUN`

  Requires/Recommends internet on first run only.

  - Value: `3`
  - Available since: 0.15.5

#### Type functions

###### as_internet_kind_from_string

Converts the text representation to an enumerated value.

since: 0.15.5

###### as_internet_kind_to_string

Converts the enumerated value to a text representation.

since: 0.15.5